
Redmine - Defect #19443

Email notification sent when assignee changes (if assignee was a group) even if 'Assignee updated'

option on the Email notifications tab is unchecked

2015-03-21 20:43 - Deoren Moor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.3

Description

The changes applied to resolve #19197 (r14049) apparently introduced a bug that results in email notifications sent even if the Email

notification setting is configured to mute those notifications.

Here is our setup:

We have a project called "Unassigned" where all incoming issues are stored. They're assigned to a group for processing. A member

of that group then takes those unassigned tickets and will reassign to the appropriate technician.

When we ran 2.6.1 with these Email notification settings:

[x] Issue added

[ ] Issue updated

    [x] Note added

    [ ] Status updated

    [ ] Assignee updated

    [ ] Priority updated

[x] News added

[x] Comment added to a news

[x] Document added

[x] File added

[x] Message added

[x] Wiki page added

[x] Wiki page updated

 everyone in the group was notified of the new issue, but nothing past that, regardless of whether a Note was added to the issue

when it was moved.

Now after the upgrade to 2.6.3 with the same Email notification settings the group is notified when the issue is reassigned. From

what I can tell this only occurs if a comment is added.

History

#1 - 2015-03-27 14:20 - Federico Di Dio

From what I can see, the old behaviour was result of a bug (#19197). The group receives notifications if a comment is added because you checked

"Note added" in the configuration and this looks like the intended behaviour to me.

#2 - 2015-04-07 16:17 - Deoren Moor

- Status changed from New to Resolved

Federico Di Dio wrote:

From what I can see, the old behaviour was result of a bug (#19197). The group receives notifications if a comment is added because you

checked "Note added" in the configuration and this looks like the intended behaviour to me.

 I went back and did some further testing and can confirm that changing the Assignee for both groups and individual users (with a comment) results in

an email notification.

Closing request.
https://www.redmine.org/issues/19197
https://www.redmine.org/projects/redmine/repository/svn/revisions/14049
https://www.redmine.org/issues/19197
https://www.redmine.org/issues/19197


#3 - 2015-04-15 07:58 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.
